#include "local.h"



/* GLOBAL */
int gDebugFlags;



int main ( int argc, char **argv ) {
	int ret;
	int i;

	printf( "\n" );
	printf( "%s: rev-%s (%s)\n", PROGRAM, SVN_VERSION, COMPILE_DATE);
	printf( "------------------------------\n" );

	/* parse parameters */
	if ( argc > 1 ) {
		for ( i=1; i < argc; i++ ) {
			if ( !strncmp(argv[i], "--debug-usb", sizeof("--debug-usb")) ) {
				IPrintf( "USB debugging active\n" );
				gDebugFlags |= DEBUG_USB;
			}
			else if ( !strncmp(argv[i], "--debug-event", sizeof("--debug-event")) ) {
				IPrintf( "Event debugging active\n" );
				gDebugFlags |= DEBUG_EVENT;
			}
			else {
				EPrintf( TRUE, "Usage: funkeyd [--debug-usb] [--debug-event]\n" );
			}
		}
	}
	StartSession( );

	/* main loop */
	while ( 1 ) {
		EventLoop( );
	}

	Quit( 0 );
	return 0;
}
